SavvyCalSavvyCal Appointments
SavvyCalSavvyCal Appointments
HomeAuthenticationRate LimitingIdempotency
PlatformsData ModelUsers and AccountsConnected AccountsBooking IntentsSlot AvailabilityWorking with DatesMetadata Filtering
Embedding
Components
Public Booking Form
WebhooksAPI Changelog
API Reference
AccountAccountEventAccountResponseAccountsResponseAccountUserAccountUserCreatedEventDataAccountUserDeletedEventDataAccountUserResponseAccountUsersResponseAccountUserUpdatedEventDataAdvanceNoticePolicyAggregatedSlotAppointmentAppointmentCanceledEventDataAppointmentClientDataInputAppointmentConfirmedEventDataAppointmentCreatedEventDataAppointmentDeletedEventDataAppointmentMeetingAppointmentMeetingCanceledEventDataAppointmentMeetingCancelFailedEventDataAppointmentMeetingCreatedEventDataAppointmentMeetingCreateFailedEventDataAppointmentMeetingReplacedEventDataAppointmentMeetingReplaceFailedEventDataAppointmentMeetingUpdatedEventDataAppointmentMeetingUpdateFailedEventDataAppointmentProviderAppointmentRescheduledEventDataAppointmentResponseAppointmentsResponseAttachServiceFormRequestBlockBlockCreatedEventDataBlockDeletedEventDataBlockResponseBlocksResponseBlockUpdatedEventDataBookingIntentBookingIntentAbandonedEventDataBookingIntentBookingPolicyBookingIntentCompletedEventDataBookingIntentCreatedEventDataBookingIntentRequirementsBookingIntentResponseBookingIntentsResponseBookingIntentUpdatedEventDataBookingIntentWorkflowBookingLinkBookingLinkActivatedEventDataBookingLinkCreatedEventDataBookingLinkDeactivatedEventDataBookingLinkDeletedEventDataBookingLinkResponseBookingLinksResponseBookingLinkUpdatedEventDataBookingPolicyBufferPolicyByEmailByExternalUserIdCancelAppointmentRequestCancellationEventCancellationPolicyCancellationReasonCancellationReasonResponseCancellationReasonsResponseCancelPublicAppointmentRequestClientClientCreatedEventDataClientDataInputClientDeletedEventDataClientFieldClientFieldChoiceClientFieldOptionsClientFieldResponseClientFieldsResponseClientResponseClientsResponseClientUpdatedEventDataCompleteBookingIntentRequestCompletePublicBookingIntentRequestConfirmAppointmentRequestConfirmationEventConflictResponseConnectedAccountConnectedAccountCreatedEventDataConnectedAccountDeletedEventDataConnectedAccountReconnectedEventDataConnectedAccountRefreshFailedEventDataConnectedAccountResponseConnectedAccountsResponseCreateAccountRequestCreateAccountUserRequestCreateAppointmentRequestCreateBlockRequestCreateBookingIntentRequestCreateBookingLinkRequestCreateCancellationReasonRequestCreateClientFieldRequestCreateClientRequestCreateDashboardSessionRequestCreateFormRequestCreateOpeningRequestCreateProviderRequestCreateProviderScheduleRequestCreatePublicAppointmentRequestCreatePublicBookingIntentRequestCreateScheduleGroupRequestCreateServiceProviderRequestCreateServiceRequestDashboardSessionDashboardSessionResponseEmptyResponseExternalUserExternalUsersResponseFieldChoiceFieldChoiceInputFieldOptionsFieldOptionsInputForbiddenResponseFormFormDetailFormFieldFormFieldInputFormResponseFormsResponseGenericErrorResponseHoldPolicyInitialProviderScheduleIntentSubmissionInputJsonErrorJsonErrorResponseMaximizeUtilizationPolicyNotFoundResponseOpeningOpeningCreatedEventDataOpeningDeletedEventDataOpeningResponseOpeningsResponseOpeningUpdatedEventDataPaginationMetaPlatformPlatformResponseProviderProviderCreatedEventDataProviderDeactivatedEventDataProviderNotificationConfigProviderNotificationTypeProviderReactivatedEventDataProviderResponseProviderScheduleProviderScheduleCreatedEventDataProviderScheduleDeletedEventDataProviderScheduleResponseProviderSchedulesResponseProviderScheduleUpdatedEventDataProvidersResponseProviderUpdatedEventDataPublicAppointmentPublicAppointmentResponsePublicBookingIntentPublicBookingIntentResponsePublicCancellationReasonPublicCancellationReasonsResponsePublicServiceEarliestSlotResponseRecurrenceRuleRescheduleAppointmentRequestRescheduleEventReschedulePublicAppointmentRequestReschedulingPolicyRoleRoleResponseRolesResponseScheduleGroupScheduleGroupResponseScheduleGroupsResponseServiceServiceConferencingResponseServiceConferencingResultServiceCreatedEventDataServiceDeletedEventDataServiceFormServiceFormResponseServiceFormsResponseServiceProviderServiceProviderConferencingServiceProviderConferencingResponseServiceProviderCreatedEventDataServiceProviderDeletedEventDataServiceProviderResponseServiceProvidersResponseServiceResponseServiceSlotResponseServicesResponseServiceUpdatedEventDataSetServiceConferencingRequestSetServiceProviderConferencingRequestSetUserMappingRequestSlotSlotListResponseSlotRuleSortServiceFormsRequestSubmissionRequirementSyncExternalUsersResponseUnauthorizedResponseUpdateAccountRequestUpdateAccountUserRequestUpdateBlockRequestUpdateBookingIntentRequestUpdateBookingLinkRequestUpdateCancellationReasonRequestUpdateClientFieldRequestUpdateClientRequestUpdateConnectedAccountRequestUpdateFormRequestUpdateOpeningRequestUpdateProviderRequestUpdateProviderScheduleRequestUpdatePublicBookingIntentRequestUpdateRoleRequestUpdateScheduleGroupRequestUpdateServiceRequestUserUserMappingUserMappingResponseUserMappingsResponseWeeklyRuleZonedDateTime
API ReferenceSchemas

ExternalUser

This is an object representing a user synced from a connected external account (e.g., a Zoom user).

This is an object representing a user synced from a connected external account (e.g., a Zoom user).

Example

{  "email": "dr.smith@example.com",  "first_name": "Jane",  "id": "exusr_d025a96ac0c6",  "last_name": "Smith",  "object": "external_user",  "status": "active"}

EmptyResponse

Empty response with no content

ExternalUsersResponse

Response schema for multiple external users

email*|

The email address of the user at the provider.

first_name*|

The first name of the user at the provider.

id*string

Unique identifier for the object.

Match^exusr_\w{12}$
last_name*|

The last name of the user at the provider.

object*"external_user"

String representing the object's type.

Value in

  • "external_user"
status*|

The status of the user at the provider. 'active' means the user is active, 'inactive' means the user is deactivated or suspended, 'pending' means the user has not yet activated their account. Additional values may be added over time.

Value in

  • "active"
  • "inactive"
  • "pending"